package org.apidesign.apifest08.currency;

/**
 * Interface for exchange rate engine.
 * 
 * @author arnostvalicek
 */
public interface IExchangeRateEngine {
    
    /**
     * Get exchange rate for conversion from <code>fromCurrency</code> to <code>toCurrency</code>.
     * 
     * @param fromCurrency From currency.
     * @param toCurrency To currency.
     * @return Returns <code>ExchangeRate</code> if exchange rate is known or <code>null</code> if exchanger rate is not known.
     */
    public ExchangeRate getExchangeRate(ConvertorCurrency fromCurrency, ConvertorCurrency toCurrency);
}
